COMBINEPATCHFACES(1)

NAME
combinePatchFaces - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
combinePatchFaces [OPTIONS] featureAngle

DESCRIPTION
Checks for multiple patch faces on the same cell and combines them.

ARGUMENTS

featureAngle
    in degrees [0-180]

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-concaveAngle degrees
    Specify concave angle [0..180] (default: 30 degrees)

-decomposeParDict file
    Use specified file for decomposePar dictionary

-meshQuality
    Read user-defined mesh quality criteria from system/meshQualityDict

-overwrite
    Overwrite existing mesh/results files

-parallel
    Run in parallel [Parallel option]

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-hostRoots ((host1 dir1) .. (hostN dirN))
    Per-host slave root directories for distributed running. The host specification can be a regex. [Parallel option]

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-roots (dir1 .. dirN)
    Slave root directories for distributed running [Parallel option]

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noFunctionObjects
    This option is ignored

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.